| Home | Libraries | People | FAQ | More

###### pooled_connection::get (2 of 2 overloads)

Retrieves the connection owned by this object.

###### Synopsis

    const any_connection&
    get() const noexcept;

###### Preconditions

The object should own a connection (`this->valid() == true`).

###### Object lifetimes

The returned reference is valid as long as `*this` or an object move-constructed or move-assigned from `*this` is alive.

###### Exception safety

No-throw guarantee.